Bug 158100 - [PATCH] fix sysutils/afio to compile using clang
[PATCH] fix sysutils/afio to compile using clang
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Chris Rees
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-21 11:00 UTC by niclas.zeising
Modified: 2011-07-03 20:10 UTC (History)
0 users

See Also:


Attachments
sysutils.afio.clangfix.diff (5.25 KB, patch)
2011-06-21 11:00 UTC, niclas.zeising
no flags Details | Diff
sysutils.afio.clangfix.diff (563 bytes, patch)
2011-06-29 21:48 UTC, niclas.zeising
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description niclas.zeising 2011-06-21 11:00:19 UTC
	sysutils/afio doesn't build with clang, it hardcodes ${CC} as cc.

Fix: Attached patch fixes so that ${CC} isn't hardcoded any more.
Comment 1 Chris Rees freebsd_committer 2011-06-21 17:39:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

I'll take it.
Comment 2 chris 2011-06-29 18:41:19 UTC
Hi Niclas,

Sorry about the delayed response.

Your patch does a lot more than just fix CC=gcc, what else is involved 
there? I'm having a hard time reading it, though maybe I'm just tired.

Chris

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.
Comment 3 Chris Rees freebsd_committer 2011-06-29 18:41:32 UTC
State Changed
From-To: open->feedback

Ask for submitter clarification
Comment 4 niclas.zeising 2011-06-29 21:48:34 UTC
Hi!
I have no idea what happened with the last patch. Here is an updated,
much shorter, version. :)
Regards!
-- 
Niclas
Comment 5 dfilter freebsd_committer 2011-07-03 20:02:22 UTC
crees       2011-07-03 19:02:08 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/afio        Makefile 
  Log:
  - Fix build with clang
  
  PR:             ports/158100
  Submitted by:   Niclas Zeising <niclas.zeising@gmail.com>
  Approved by:    rene (mentor)
  
  Revision  Changes    Path
  1.19      +4 -0      ports/sysutils/afio/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Chris Rees freebsd_committer 2011-07-03 20:02:24 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!